curl --compressed "https://api.coinmetrics.io/v4/reference-data/assets?api_key=<your_key>"{
"data": [
{
"asset": "btc",
"full_name": "Bitcoin",
"talos": [
{
"cm_ext_asset": "talos:BTC",
"cm_ext_asset_by_id": "talos:by-id:24",
"symbol": "BTC",
"currency_id": "24",
"description": "Bitcoin"
}
]
},
{
"asset": "eth",
"full_name": "Ethereum",
"talos": [
{
"cm_ext_asset": "talos:ETH",
"cm_ext_asset_by_id": "talos:by-id:17",
"symbol": "ETH",
"currency_id": "17",
"description": "Ethereum"
}
]
},
{
"asset": "sol",
"full_name": "Solana",
"talos": [
{
"cm_ext_asset": "talos:SOL",
"cm_ext_asset_by_id": "talos:by-id:653",
"symbol": "SOL",
"currency_id": "653",
"description": "Solana"
}
]
}
],
"next_page_token": "ZXRo",
"next_page_url": "https://api.coinmetrics.io/v4/reference-data/assets?api_key=<your_key>&page_size=2&next_page_token=ZXRo"
}Reference Data
Assets
Returns a list of assets metadata.
GET
/
reference-data
/
assets
curl --compressed "https://api.coinmetrics.io/v4/reference-data/assets?api_key=<your_key>"{
"data": [
{
"asset": "btc",
"full_name": "Bitcoin",
"talos": [
{
"cm_ext_asset": "talos:BTC",
"cm_ext_asset_by_id": "talos:by-id:24",
"symbol": "BTC",
"currency_id": "24",
"description": "Bitcoin"
}
]
},
{
"asset": "eth",
"full_name": "Ethereum",
"talos": [
{
"cm_ext_asset": "talos:ETH",
"cm_ext_asset_by_id": "talos:by-id:17",
"symbol": "ETH",
"currency_id": "17",
"description": "Ethereum"
}
]
},
{
"asset": "sol",
"full_name": "Solana",
"talos": [
{
"cm_ext_asset": "talos:SOL",
"cm_ext_asset_by_id": "talos:by-id:653",
"symbol": "SOL",
"currency_id": "653",
"description": "Solana"
}
]
}
],
"next_page_token": "ZXRo",
"next_page_url": "https://api.coinmetrics.io/v4/reference-data/assets?api_key=<your_key>&page_size=2&next_page_token=ZXRo"
}Authorizations
Query Parameters
Comma separated list of assets. By default all assets are returned. Supports the following formats: <asset> - Coin Metrics asset ticker (e.g., btc), <namespace>:<symbol> - External provider symbol (e.g., talos:BTC), <namespace>:by-id:<id> - External provider numeric ID (e.g., talos:by-id:24). The namespace identifies the external data provider (e.g., talos). The by-id selector indicates lookup by a provider-specific numeric ID rather than symbol.

